GDAL-DATASET-RENAME(1)

NAME
gdal-dataset-rename - Rename files of a dataset

Added in version 3.12.

gdal dataset rename rename the dataset file(s), including potential side-car/associated files.

SYNOPSIS

    Usage: gdal dataset rename [OPTIONS] <SOURCE> <DESTINATION>
    Rename files of a dataset.
    Positional arguments:
      --source <SOURCE>            Source dataset name [required]
      --destination <DESTINATION>  Destination dataset name [required]
    Common Options:
      -h, --help                   Display help message and exit
      --json-usage                 Display usage as JSON document and exit
      --config <KEY>=<VALUE>       Configuration option [may be repeated]
    Options:
      --overwrite                  Whether overwriting existing output is allowed
    Advanced Options:
      -f, --format <FORMAT>        Dataset format

OPTIONS

--source <FILENAME>
    Source file name or directory name. Required.

--destination <FILENAME>
    Destination file name or directory name. Required.

-f, ---format <FORMAT>
    Dataset format. Overrides the automatic format detection.

--overwrite
    Allow program to overwrite existing target file or dataset. Otherwise, by default, gdal errors out if the target file or dataset already exists.

EXAMPLES

  Example 1: Rename a dataset

    $ gdal dataset rename old_name.tif new_name.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025